Name:		autodocksuite
Version:	4.2.5.1
Release:	3%{?dist}
Summary:	AutoDock is a suite of docking tools to study protein-ligand interaction

License:	GPLv2
URL:		http://autodock.scripps.edu/
Source0:	http://autodock.scripps.edu/downloads/autodock-registration/tars/dist4251/%{name}-%{version}-src.tar.gz

BuildRequires:	csh

%description
AutoDock is a suite of automated docking tools. It is designed to predict \
how small molecules, such as substrates or drug candidates, bind to a \
receptor of known 3D structure. AutoDock 4 actually consists of two main \
programs: autodock performs the docking of the ligand to a set of grids \
describing the target protein; autogrid pre-calculates these grids. In \
addition to using them for docking, the atomic affinity grids can be \
visualized. This can help, for example, to guide organic synthetic chemists \
design better binders.

%package doc
Summary:	Documentation files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
BuildArch:	noarch


%description doc
This package contains the AutoDock userguide as supplied by upstream\
developers.

%prep
%setup -q -n src

%build
export CFLAGS="%{optflags}" CXXFLAGS="%{optflags}"

cd autodock
%configure
make %{?_smp_mflags}

cd %{_builddir}/src/autogrid
%configure
make %{?_smp_mflags}

%install
cd autodock
make install DESTDIR=%{buildroot}

cd %{_builddir}/src/autogrid
make install DESTDIR=%{buildroot}

%files
%doc README autodock/COPYING
%{_bindir}/autodock4
%{_bindir}/autogrid4

%files doc
%doc autodock/COPYING USERGUIDES/AutoDock4.2_UserGuide.pdf

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Wed Feb 19 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 4.2.5.1-3
- Added Requires for -doc subpackage

* Tue Feb 18 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 4.2.5.1-2
- Fixed spec file errors
- Added files under doc and created -doc package

* Mon Feb 17 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 4.2.5.1-1
- Initial package
